/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.companion;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AssociationRequest implements android.os.Parcelable {

AssociationRequest() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getDeviceProfile() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getDisplayName() { throw new RuntimeException("Stub!"); }

public boolean isSelfManaged() { throw new RuntimeException("Stub!"); }

public boolean isForceConfirmation() { throw new RuntimeException("Stub!"); }

public boolean isSingleDevice() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.companion.AssociationRequest> CREATOR;
static { CREATOR = null; }

public static final java.lang.String DEVICE_PROFILE_APP_STREAMING = "android.app.role.COMPANION_DEVICE_APP_STREAMING";

public static final java.lang.String DEVICE_PROFILE_AUTOMOTIVE_PROJECTION = "android.app.role.SYSTEM_AUTOMOTIVE_PROJECTION";

public static final java.lang.String DEVICE_PROFILE_COMPUTER = "android.app.role.COMPANION_DEVICE_COMPUTER";

public static final java.lang.String DEVICE_PROFILE_GLASSES = "android.app.role.COMPANION_DEVICE_GLASSES";

public static final java.lang.String DEVICE_PROFILE_NEARBY_DEVICE_STREAMING = "android.app.role.COMPANION_DEVICE_NEARBY_DEVICE_STREAMING";

public static final java.lang.String DEVICE_PROFILE_WATCH = "android.app.role.COMPANION_DEVICE_WATCH";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.companion.AssociationRequest.Builder setSingleDevice(boolean singleDevice) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.companion.AssociationRequest.Builder addDeviceFilter(@android.annotation.Nullable android.companion.DeviceFilter<?> deviceFilter) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.companion.AssociationRequest.Builder setDeviceProfile(@android.annotation.NonNull java.lang.String deviceProfile) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.companion.AssociationRequest.Builder setDisplayName(@android.annotation.NonNull java.lang.CharSequence displayName) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.companion.AssociationRequest.Builder setSelfManaged(boolean selfManaged) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.companion.AssociationRequest.Builder setForceConfirmation(boolean forceConfirmation) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.companion.AssociationRequest build() { throw new RuntimeException("Stub!"); }
}

}

