/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class MeshSpecification {

MeshSpecification() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.MeshSpecification make(@android.annotation.NonNull android.graphics.MeshSpecification.Attribute[] attributes, int vertexStride, @android.annotation.NonNull android.graphics.MeshSpecification.Varying[] varyings, @android.annotation.NonNull java.lang.String vertexShader, @android.annotation.NonNull java.lang.String fragmentShader) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.MeshSpecification make(@android.annotation.NonNull android.graphics.MeshSpecification.Attribute[] attributes, int vertexStride, @android.annotation.NonNull android.graphics.MeshSpecification.Varying[] varyings, @android.annotation.NonNull java.lang.String vertexShader, @android.annotation.NonNull java.lang.String fragmentShader, @android.annotation.NonNull android.graphics.ColorSpace colorSpace) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.graphics.MeshSpecification make(@android.annotation.NonNull android.graphics.MeshSpecification.Attribute[] attributes, int vertexStride, @android.annotation.NonNull android.graphics.MeshSpecification.Varying[] varyings, @android.annotation.NonNull java.lang.String vertexShader, @android.annotation.NonNull java.lang.String fragmentShader, @android.annotation.NonNull android.graphics.ColorSpace colorSpace, int alphaType) { throw new RuntimeException("Stub!"); }

public static final int ALPHA_TYPE_OPAQUE = 1; // 0x1

public static final int ALPHA_TYPE_PREMULTIPLIED = 2; // 0x2

public static final int ALPHA_TYPE_UNKNOWN = 0; // 0x0

public static final int ALPHA_TYPE_UNPREMULTIPLIED = 3; // 0x3

public static final int TYPE_FLOAT = 0; // 0x0

public static final int TYPE_FLOAT2 = 1; // 0x1

public static final int TYPE_FLOAT3 = 2; // 0x2

public static final int TYPE_FLOAT4 = 3; // 0x3

public static final int TYPE_UBYTE4 = 4; // 0x4
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Attribute {

public Attribute(int type, int offset, @android.annotation.NonNull java.lang.String name) { throw new RuntimeException("Stub!"); }

public int getType() { throw new RuntimeException("Stub!"); }

public int getOffset() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getName() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Varying {

public Varying(int type, @android.annotation.NonNull java.lang.String name) { throw new RuntimeException("Stub!"); }

public int getType() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getName() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }
}

}

